From: "Sebastien Fabbro" <bicatali@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/colpack/
Date: Tue, 7 Mar 2017 00:17:30 +0000 (UTC) [thread overview]
Message-ID: <1488845831.f77072674ef785f8a22f468127d10ee6cbcd5408.bicatali@gentoo> (raw)
commit: f77072674ef785f8a22f468127d10ee6cbcd5408
Author: Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 4 00:41:31 2017 +0000
Commit: Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Tue Mar 7 00:17:11 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7707267
sci-libs/colpack: version bump
Package-Manager: Portage-2.3.4, Repoman-2.3.2
sci-libs/colpack/Manifest | 1 +
sci-libs/colpack/colpack-1.0.10.ebuild | 48 ++++++++++++++++++++++++++++++++++
sci-libs/colpack/metadata.xml | 11 +++++---
3 files changed, 56 insertions(+), 4 deletions(-)
diff --git a/sci-libs/colpack/Manifest b/sci-libs/colpack/Manifest
index f78f4a87ff7..f28958b8806 100644
--- a/sci-libs/colpack/Manifest
+++ b/sci-libs/colpack/Manifest
@@ -1,2 +1,3 @@
DIST ColPack-1.0.6.tar.gz 1027189 SHA256 d03208883aaa48544124c7fa950c2ea1aa88bc38c7997c4a563b176b6bc212ea SHA512 646ffdd459c40906f6c57888c0e38b791f9559a88ce649e9041271655a9d98658db1c6c0f3b09d64b9bd2c7d74c71a6bd8b13972ae7c7bbac42b300b8e3844c9 WHIRLPOOL 80e5c7f368b362bf4dda84661b364fa1f55215446339fec98bce5dfd7a7dcffc97a79c73329d0a721f012c7bc6651626f6ed5b1f5e284c1b540bcf047d0178b7
DIST ColPack-1.0.9.tar.gz 1185335 SHA256 06c5d3e61ab873b27d7962a9f09e90cbc52ccd9f480e88f1ecb50e6bced11932 SHA512 762ab506f95788f9134033b60bf582472b80ab14766ad6795a7db1b780de0ae49bb30f1c9bd74b4f62cf46cc6029c37ef90a483e41b62bf4067cd4a71eb3db6c WHIRLPOOL f84e1766350265c3ecfb43d827327a018218be342f22adbd5f95d7172b9b489c12ed3978796b9c9d70b69058d88816ed6cb5979217ccca16c7691ecccedc3a51
+DIST colpack-1.0.10.tar.gz 658087 SHA256 b22ead7da80fa1735291b2d83198adf41bf36101e4fcb2c4f07c1cfacf211c75 SHA512 566b7906c5d0dbcd6dcb9c359510ee8b13bf3249e56d8f88f7806493d1df14f54638a0558d601ab4dbc28f36093795eede57a059a7c4e66438b47bf5a0119808 WHIRLPOOL c416c981aff798c6f0c9c33cf24f93fc0ab498e965159070697bc9eadb0014d9f6729858c7113811eec10e4219867075ef11191f6ca214320f83ccb2bf5bf625
diff --git a/sci-libs/colpack/colpack-1.0.10.ebuild b/sci-libs/colpack/colpack-1.0.10.ebuild
new file mode 100644
index 00000000000..6469493e7fa
--- /dev/null
+++ b/sci-libs/colpack/colpack-1.0.10.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools eutils
+
+MYPN="ColPack"
+
+DESCRIPTION="C++ algorithms for specialized vertex coloring problems"
+LICENSE="GPL-3 LGPL-3"
+HOMEPAGE="http://cscapes.cs.purdue.edu/coloringpage/"
+SRC_URI="https://github.com/CSCsw/${MYPN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+IUSE="openmp static-libs"
+KEYWORDS="~alpha ~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND=""
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MYPN}-${PV}"
+
+pkg_setup() {
+ if [[ ${MERGE_TYPE} != "binary" ]] && use openmp && [[ $(tc-getCC)$ == *gcc* ]] && ! tc-has-openmp; then
+ ewarn "You are using gcc without OpenMP"
+ die "Need an OpenMP capable compiler"
+ fi
+}
+
+src_prepare() {
+ default
+ sed -e 's/-O3//' -i Makefile.am || die
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --enable-shared \
+ $(use_enable static-libs static) \
+ $(use_enable openmp)
+}
+
+src_install() {
+ default
+ rm -rf "${ED}"/usr/examples
+ use static-libs || prune_libtool_files --all
+}
diff --git a/sci-libs/colpack/metadata.xml b/sci-libs/colpack/metadata.xml
index 174f7cf0ae9..c9aa068b01c 100644
--- a/sci-libs/colpack/metadata.xml
+++ b/sci-libs/colpack/metadata.xml
@@ -6,8 +6,11 @@
<name>Gentoo Science Project</name>
</maintainer>
<longdescription lang="en">
- ColPack is a package comprising of implementations of algorithms for
- the specialized vertex coloring problems as well as algorithms for a
- variety of related supporting tasks in derivative computation.
-</longdescription>
+ ColPack is a package comprising of implementations of algorithms for
+ the specialized vertex coloring problems as well as algorithms for a
+ variety of related supporting tasks in derivative computation.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">CSCsw/ColPack</remote-id>
+ </upstream>
</pkgmetadata>
next reply other threads:[~2017-03-07 0:17 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-03-07 0:17 Sebastien Fabbro [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-11-14 23:51 [gentoo-commits] repo/gentoo:master commit in: sci-libs/colpack/ Sam James
2021-10-24 21:14 Sam James
2021-10-02 23:17 Sam James
2021-07-14 16:15 Marek Szuba
2020-12-15 11:54 David Seifert
2020-10-18 19:28 Thomas Deutschmann
2019-11-24 3:36 Aaron Bauman
2017-11-27 19:46 Sergei Trofimovich
2017-11-27 19:46 Sergei Trofimovich
2017-10-24 23:01 Andreas Hüttel
2017-09-30 2:58 Sergei Trofimovich
2017-09-30 2:58 Sergei Trofimovich
2017-07-08 9:25 Alexis Ballier
2017-07-01 9:52 Sergei Trofimovich
2017-07-01 9:52 Sergei Trofimovich
2017-04-29 16:21 Jeroen Roovers
2017-04-29 16:21 Jeroen Roovers
2017-04-05 15:36 Michael Weber
2016-09-28 22:51 David Seifert
2016-06-07 16:47 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1488845831.f77072674ef785f8a22f468127d10ee6cbcd5408.bicatali@gentoo \
--to=bicatali@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox